import 'package:liftmanager/internal/wode/page/order/order_page.dart';
import 'package:liftmanager/internal/wode/page/piao/piao_wait.dart';
import 'package:liftmanager/mvp/base_page_presenter.dart';
import 'package:liftmanager/net/api_service.dart';
import 'package:liftmanager/widgets/state_layout.dart';
import 'dart:convert';
import 'package:flustars/flustars.dart';
import 'package:liftmanager/common/common.dart';

class OrderListPresenterSeconds
    extends BasePagePresenter<OrderPageState> {
  Future getOrderList(int page, String orderType) async {
    await NewApiService().getLiftCasesListPage({
      "pageNum": page,
      "pageSize": 10,
      "type": orderType,
      "createUserId": int.parse(SpUtil.getString(Constant.userId)),
      "chargerId": null
    },1, onSuccess: (res) {
      view.closeProgress();
      if (res != null) {
        view.provider.setHasMore(res.records.length >= 10);
        if (page == 1) {
          view.provider.list.clear();
          if (res.records.isEmpty) {
            view.provider.setStateType(StateType.empty);
          } else {
            view.provider.addAll(res.records);
          }
        } else {
          view.provider.addAll(res.records);
        }
      } else {
        /// 加载失败
        view.provider.setHasMore(false);
        view.provider.setStateType(StateType.empty);
      }
    }, onError: (code, msg) {
      view.closeProgress();
      view.provider.setHasMore(false);
      view.provider.setStateType(StateType.network);
    });
  }
}

// class OrderListPresenterThird
//     extends BasePagePresenter<PiaoWaitState> {
//   Future getOrderList(int page, String orderType) async {
//     await NewApiService().getLiftCasesListPage({
//       "pageNum": page,
//       "pageSize": 10,
//       "type": orderType,
//       "createUserId": int.parse(SpUtil.getString(Constant.userId)),
//       "chargerId": null
//     }, onSuccess: (res) {
//       view.closeProgress();
//       if (res != null) {
//         view.provider.setHasMore(res.records.length >= 10);
//         if (page == 1) {
//           view.provider.list.clear();
//           if (res.records.isEmpty) {
//             view.provider.setStateType(StateType.empty);
//           } else {
//             view.provider.addAll(res.records);
//           }
//         } else {
//           view.provider.addAll(res.records);
//         }
//       } else {
//         /// 加载失败
//         view.provider.setHasMore(false);
//         view.provider.setStateType(StateType.empty);
//       }
//     }, onError: (code, msg) {
//       view.closeProgress();
//       view.provider.setHasMore(false);
//       view.provider.setStateType(StateType.network);
//     });
//   }
// }
